package repositories

import (
	"app/models"

	"gorm.io/gorm"
)

type Wishlist interface {
	Create(w *models.Wishlist) error
	GetList(id uint) ([]models.Wishlist, error)
	Delete(id uint) error
}

type Wishlist_repository struct {
	DB *gorm.DB
}

func newWishlistRepository(db *gorm.DB) Wishlist {
	return &Wishlist_repository{DB: db}
}

func (r *Wishlist_repository) Create(wishlist *models.Wishlist) error {
	if err := r.DB.Create(&wishlist).Error; err != nil {
		return err
	}

	return nil
}

func (r *Wishlist_repository) GetList(id uint) ([]models.Wishlist, error) {
	var wishlist []models.Wishlist
	if err := r.DB.Where("is_removed = ?", false).Where("user_id = ?", id).Find(&wishlist).Error; err != nil {
		return nil, err
	}

	return wishlist, nil
}

func (r *Wishlist_repository) Delete(id uint) error {
	var wishlist models.Wishlist
	if err := r.DB.Where("wishlist_id = ?", id).Model(&wishlist).Update("is_removed", true).Error; err != nil {
		return err
	}

	return nil
}
