package utils

import (
	"app/database"
	"app/models"
	"errors"
)

var (
	ErrEmailExists = errors.New("email already exists")
)

func CheckEmail(email string) (bool, error) {
	db := database.Db()
	var user models.User
	var count int64
	if err := db.Model(user).Where("email = ?", email).Count(&count).Error; err != nil {
		return true, err
	}

	if count > 0 {
		return true, ErrEmailExists
	}

	return false, nil
}
