package utils

import (
	"app/database"
	"app/models"

	"gorm.io/gorm"
)

func CheckUserByJwt(jwtID uint) (uint, bool, error) {
	db := database.Db()
	var jwt models.Jwt
	result := db.First(&jwt, jwtID)
	if result.Error != nil {
		if result.Error == gorm.ErrRecordNotFound {
			return 0, false, nil
		}
		return 0, false, result.Error
	}

	return jwt.User_id, true, nil
}

func CheckUserByID(id uint) (bool, error) {
	db := database.Db()
	var jwt models.Jwt
	result := db.Where("user_id = ?", id).First(&jwt)
	if result.Error != nil {
		if result.Error == gorm.ErrRecordNotFound {
			return false, nil
		}
		return false, result.Error
	}

	return true, nil
}
